using System;
using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace BMA.EHR.Infrastructure.Migrations
{
    /// <inheritdoc />
    public partial class updatetablecommandaddtranferNo : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.AddColumn<DateTime>(
                name: "ConclusionTranferDate",
                table: "Commands",
                type: "datetime(6)",
                nullable: true,
                comment: "การประชุม ลงวันที่");

            migrationBuilder.AddColumn<string>(
                name: "ConclusionTranferNo",
                table: "Commands",
                type: "longtext",
                nullable: true,
                comment: "การประชุม ครั้งที่")
                .Annotation("MySql:CharSet", "utf8mb4");
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropColumn(
                name: "ConclusionTranferDate",
                table: "Commands");

            migrationBuilder.DropColumn(
                name: "ConclusionTranferNo",
                table: "Commands");
        }
    }
}
